const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = {
  entry: {
    widget: './src/widget.js'
  },
  plugins: [
    new HtmlWebpackPlugin({
      title: 'Aug[m]entile',
      filename: 'augmentile-[name].html',
      hash: true
    }),
  ],
  output: {
    filename: "augmentile-[name].bundle.js",
    path: path.resolve(__dirname, 'dist')
  }
};
